Name:          python-paramiko
Version:       2.7.2
Release:       1
Summary:       Python SSH module
License:       LGPLv2+
URL:           https://github.com/paramiko/paramiko
Source0:       https://github.com/paramiko/paramiko/archive/%{version}/paramiko-%{version}.tar.gz

Patch0:        paramiko-2.7.2-drop-pytest-relaxed.patch

BuildArch:     noarch

%description
Paramiko is a combination of the Esperanto words for "paranoid" and "friend". It is a module
for Python 2.7/3.4+ that implements the SSH2 protocol for secure (encrypted and authenticated)
connections to remote machines.

%package       -n python3-paramiko
Summary:       Python SSH module
BuildRequires: python3-devel python3-setuptools python3-bcrypt >= 3.1.3 python3-pytest
BuildRequires: python3-cryptography >= 2.5 python3-pyasn1 >= 0.1.7 python3-pynacl >= 1.0.1
BuildRequires: python3-invoke >= 1.3 python3-mock >= 2.0
Requires:      python3-bcrypt >= 3.1.3 python3-cryptography >= 1.5
Requires:      python3-pyasn1 >= 0.1.7 python3-pynacl >= 1.0.1 python3-invoke >= 1.3
%{?python_provide:%python_provide python3-paramiko}

%description   -n python3-paramiko
Paramiko is a combination of the Esperanto words for "paranoid" and "friend". python3-paramiko is
a module for Python 3.4+ that implements the SSH2 protocol for secure (encrypted and authenticated)
connections to remote machines. Unlike SSL (aka TLS), SSH2 protocol does not require hierarchical
certificates signed by a powerful central authority. You may know SSH2 as the protocol that replaced
Telnet and rsh for secure access to remote shells, but the protocol also includes the ability to open
arbitrary channels to remote services across the encrypted tunnel (this is how SFTP works, for example).

%package       help
Summary:       Docs and demos for SSH2 protocol library for python
BuildRequires: python3-sphinx
Provides:      python-paramiko-doc = %{version}-%{release}
Obsoletes:     python-paramiko-doc <= %{version}-%{release}

%description   help
This is the documentation and demos for python-paramiko.

%prep
%autosetup -p1 -n paramiko-%{version}

%build
%py3_build

%install
%py3_install

sphinx-build -b html sites/docs/ html/
rm -f html/.buildinfo

%check
rm -f tests/test_sftp*.py
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version}

%files -n python3-paramiko
%license LICENSE
%{python3_sitelib}/paramiko-*.egg-info/
%{python3_sitelib}/paramiko/

%files help
%doc html/ demos/ NEWS README.rst

%changelog
* Thu Jan 28 2021 zhaorenhai <zhaorenhai@hotmail.com> - 2.7.2-1
- Upgrade to 2.7.2

* Mon Aug 10 2020 lingsheng <lingsheng@huawei.com> - 2.4.1-8
- Remove python2-paramiko subpackage

* Wed Nov 06 2019 Lijin Yang <yanglijin@huawei.com> - 2.4.1-7
- init package
